{"swagger":"2.0","info":{"description":"API by 1NCE GmbH","version":"v1","title":"1NCE API","contact":{"name":"© 1NCE GmbH","url":"https://1nce.com","email":"info@1nce.com"}},"host":"portal.1nce.com","basePath":"/management-api","tags":[{"name":"/orders","description":"Order Controller"},{"name":"/products","description":"Product information"},{"name":"/sims","description":"Manage your SIMs"},{"name":"/support","description":"Support Controller"}],"paths":{"/v1/orders":{"get":{"tags":["/orders"],"summary":"Get a List of Orders","operationId":"getOrdersUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"page","in":"query","description":"Number of the requested page","required":false,"type":"integer","default":1,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int64","allowEmptyValue":false},{"name":"pageSize","in":"query","description":"The size of the page, maximum allowed value is 10","required":false,"type":"integer","default":10,"maximum":10,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int32","allowEmptyValue":false},{"name":"sort","in":"query","description":"Sort values (order_number, order_status and/or order_date) in a comma seperated list, defaults to order_number if not used","required":false,"type":"string","default":"order_number","allowEmptyValue":false,"x-example":"order_status,order_date"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Order"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false},"post":{"tags":["/orders"],"summary":"Post an order","operationId":"postOrderUsingPOST","consumes":["application/json","application/json;charset=UTF-8"],"produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"in":"body","name":"order","description":"An order","required":true,"schema":{"$ref":"#/definitions/Additional Order"}}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Additional Order"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/orders/{order_number}":{"get":{"tags":["/orders"],"summary":"Get a single Order, identified by its order_number","operationId":"getOrderUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"order_number","in":"path","description":"Order number identifying the order","required":true,"type":"number"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Order"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/products":{"get":{"tags":["/products"],"summary":"Get a list of products","operationId":"getProductsUsingGET","produces":["application/json","application/json;charset=UTF-8"],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Product"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims":{"get":{"tags":["/sims"],"summary":"Get a List of SIMs","operationId":"getSimsUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"page","in":"query","description":"Number of the requested page","required":false,"type":"integer","default":1,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int32","allowEmptyValue":false},{"name":"pageSize","in":"query","description":"The size of the page, maximum allowed value is 100","required":false,"type":"integer","default":10,"maximum":100,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int32","allowEmptyValue":false},{"name":"q","in":"query","description":"Filter values in a comma seperated list","required":false,"type":"string","allowEmptyValue":false,"x-example":"iccid:9999"},{"name":"sort","in":"query","description":"Sort values in a comma seperated list","required":false,"type":"string","allowEmptyValue":false,"x-example":"status,ip_address"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/SIM card"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false},"post":{"tags":["/sims"],"summary":"Change a list of SIMS for activate, deactivate, label, IMEI lock, etc.","operationId":"updateSimsUsingPOST","consumes":["application/json","application/json;charset=UTF-8"],"produces":["*/*"],"parameters":[{"in":"body","name":"sims","description":"A list of SIMs","required":true,"schema":{"type":"array","items":{"$ref":"#/definitions/SIM card"}}}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/autoTopup":{"post":{"tags":["/sims"],"summary":"Trigger an auto topup config update for given SIMs.","operationId":"autoTopupUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/AutoTopupRequest"}}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/simTransfer":{"post":{"tags":["/sims"],"summary":"Trigger a SIM transfer workflow - if possible - for moving SIMs from one customer to another","operationId":"simTransferUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/SimTransfer"}}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/topup":{"post":{"tags":["/sims"],"summary":"Top up the data volume of the specified SIMs","operationId":"topUpMultipleUsingPOST","consumes":["application/json"],"produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"in":"body","name":"sims","description":"A list of SIMs","required":true,"schema":{"type":"array","items":{"type":"string"}}}],"responses":{"201":{"description":"Order created successfully","headers":{"Location":{"type":"string","description":"The path to the newly created order"}}},"401":{"description":"Unauthorized"},"403":{"description":"SIM does not belong to user"},"404":{"description":"SIM not found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}":{"get":{"tags":["/sims"],"summary":"Get status information i.e. status, label, MSISDN, IMSI, ICCID, Lifetime, for a device with a ICCID","operationId":"getSimUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/SIM card"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false},"put":{"tags":["/sims"],"summary":"Modification of a SIM card to activate, deactivate, change label, change IMEI lock, etc.","operationId":"updateSimUsingPUT","consumes":["application/json","application/json;charset=UTF-8"],"produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"},{"in":"body","name":"sim","description":"The modified SIM","required":true,"schema":{"$ref":"#/definitions/Values for a SIM update"}}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/connectivity_info":{"get":{"tags":["/sims"],"summary":"Retrieve connectivity information and location for a SIM","operationId":"getConnectivityInfoForSimUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"},{"name":"subscriber","in":"query","description":"If true, the Subscriber connectivity info is retrieved. Default is true, i.e. subscriber=true","required":false,"type":"boolean","default":true,"allowEmptyValue":false},{"name":"ussd","in":"query","description":"If true, the USSD connectivity info is retrieved. Default is false, i.e. ussd=false","required":false,"type":"boolean","default":false,"allowEmptyValue":false,"x-example":false}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/ConnectivityInfo"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/events":{"get":{"tags":["/sims"],"summary":"Get diagnostic/event information for a SIM card i.e. network events","operationId":"getEventsForSimUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"},{"name":"page","in":"query","description":"Number of the requested page","required":false,"type":"integer","default":1,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int32","allowEmptyValue":false},{"name":"pageSize","in":"query","description":"The size of the page, maximum allowed value is 1000","required":false,"type":"integer","default":10,"maximum":1000,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int32","allowEmptyValue":false},{"name":"sort","in":"query","description":"Sort values in a comma seperated list, prepend \"-\" for descending order","required":false,"type":"string","allowEmptyValue":false,"x-example":"-timestamp,id"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/EventCollection"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/quota/data":{"get":{"tags":["/sims"],"summary":"Get the data quota of a SIM","operationId":"getDataQuotaForSimUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Quota"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/quota/sms":{"get":{"tags":["/sims"],"summary":"Get the SMS quota of a SIM","operationId":"getSmsQuotaForSimUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Quota"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/reset":{"post":{"tags":["/sims"],"summary":"Trigger a connectivity reset for a given SIM. The actual reset will be done asynchronously. A positive-response only means that the connectivity-reset has been successfully placed into the queue.","operationId":"resetConnectivityUsingPOST","consumes":["application/json"],"produces":["*/*"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/sms":{"get":{"tags":["/sims"],"summary":"Get the list of SMS sent and received by this SIM card","operationId":"getSmsForSimUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"},{"name":"page","in":"query","description":"Number of the requested page","required":false,"type":"integer","default":1,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int32","allowEmptyValue":false},{"name":"pageSize","in":"query","description":"The size of the page, maximum allowed value is 100","required":false,"type":"integer","default":10,"maximum":100,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int32","allowEmptyValue":false},{"name":"sort","in":"query","description":"Sort values in a comma seperated list","required":false,"type":"string","allowEmptyValue":false,"x-example":"status,ip_address"}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/SMS-Data"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false},"post":{"tags":["/sims"],"summary":"Submit SMS to specified SIM card","operationId":"sendSmsToSimUsingPOST","consumes":["application/json","application/json;charset=UTF-8"],"produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"},{"in":"body","name":"sms","description":"SMS that should be sent to SIM","required":true,"schema":{"$ref":"#/definitions/SMS"}}],"responses":{"200":{"description":"OK"},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/sms/{id}":{"get":{"tags":["/sims"],"summary":"Get details about the SMS","operationId":"getSmsOfSimUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"},{"name":"id","in":"path","description":"The id of the SMS","required":true,"type":"number"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/SMS-Data"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false},"delete":{"tags":["/sims"],"summary":"Cancel SMS that is buffered for SIM card and not yet delivered","operationId":"cancelSmsForSimUsingDELETE","produces":["*/*"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"},{"name":"id","in":"path","description":"The id of the SMS","required":true,"type":"number"}],"responses":{"200":{"description":"OK"},"204":{"description":"No Content"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/status":{"get":{"tags":["/sims"],"summary":"Get current status of SIM","operationId":"getStatusForSimUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/Connectivity"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/topup":{"post":{"tags":["/sims"],"summary":"Top up the data volume of a specified SIM","operationId":"topUpUsingPOST","consumes":["application/json"],"produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"}],"responses":{"201":{"description":"Order created successfully","headers":{"Location":{"type":"string","description":"The path to the newly created order"}}},"401":{"description":"Unauthorized"},"403":{"description":"SIM does not belong to user"},"404":{"description":"SIM not found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/sims/{iccid}/usage":{"get":{"tags":["/sims"],"summary":"Get the daily usage generated by a SIM","operationId":"getUsageForSimUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"end_dt","in":"query","description":"End date used for the query, format: YYYY-MM-DD","required":false,"type":"string","allowEmptyValue":false,"x-example":"2018-04-30"},{"name":"iccid","in":"path","description":"The iccid of the SIM","required":true,"type":"string"},{"name":"start_dt","in":"query","description":"Start date used for the query, format: YYYY-MM-DD","required":false,"type":"string","allowEmptyValue":false,"x-example":"2018-04-23"}],"responses":{"200":{"description":"OK","schema":{"$ref":"#/definitions/DailyUsage"}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}},"/v1/support":{"get":{"tags":["/support"],"summary":"Get a list of service requests","operationId":"getServiceRequestsUsingGET","produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"name":"page","in":"query","description":"Number of the requested page","required":false,"type":"integer","default":1,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int32","allowEmptyValue":false},{"name":"pageSize","in":"query","description":"The size of the page, maximum allowed value is 100","required":false,"type":"integer","default":10,"maximum":100,"exclusiveMaximum":false,"minimum":1,"exclusiveMinimum":false,"format":"int32","allowEmptyValue":false}],"responses":{"200":{"description":"OK","schema":{"type":"array","items":{"$ref":"#/definitions/Service request"}}},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false},"post":{"tags":["/support"],"summary":"Create a new service request","operationId":"createServiceRequestUsingPOST","consumes":["application/json"],"produces":["application/json","application/json;charset=UTF-8"],"parameters":[{"in":"body","name":"request","description":"request","required":true,"schema":{"$ref":"#/definitions/ManagementApiServiceRequest"}}],"responses":{"200":{"description":"OK","schema":{"type":"string"}},"201":{"description":"Created"},"401":{"description":"Unauthorized"},"403":{"description":"Forbidden"},"404":{"description":"Not Found"}},"security":[{"oauth2":[]}],"deprecated":false}}},"securityDefinitions":{"oauth2":{"type":"oauth2","tokenUrl":"/management-api/oauth/token","flow":"application"}},"definitions":{"Additional Order":{"type":"object","required":["products"],"properties":{"products":{"type":"array","description":"The products you want to order","items":{"$ref":"#/definitions/Ordered product"}},"delivery_address":{"description":"Delivery address. If none provided, products will be sent to existing single delivery address","$ref":"#/definitions/Address"},"billing_address":{"description":"Billing address. If none provided, current billing address will be selected","$ref":"#/definitions/Address"},"customer_reference":{"type":"string","description":"Optional customer-specific reference for the order"}},"title":"Additional Order","description":"General information about an order"},"Address":{"type":"object","required":["address_line2","city","company","country","first_name","last_name","salutation","street","zip"],"properties":{"salutation":{"type":"string","example":2,"description":"Salutation - currently supported values are '1' for 'Mr' and '2' for 'Ms'","enum":["1","2"]},"first_name":{"type":"string","description":"First name"},"last_name":{"type":"string","description":"Last name"},"company":{"type":"string","example":"1nce GmbH","description":"Company name"},"street":{"type":"string","description":"Street"},"address_line2":{"type":"string","description":"Address Line2"},"house_number":{"type":"string","description":"House number"},"zip":{"type":"string","description":"ZIP"},"city":{"type":"string","description":"City"},"country":{"type":"string","example":"DE","description":"ISO 3166-1 alpha-2 country code"}},"title":"Address","description":"Address information"},"AutoTopupRequest":{"type":"object","properties":{"enabled":{"type":"boolean","description":"Whether auto topup is enabled for the given SIMs"},"iccids":{"type":"array","description":"A list of ICCIDs","items":{"type":"string"}}},"title":"AutoTopupRequest","description":"Contains a list of ICCIDs and a boolean flag for auto topup"},"CellGlobalId":{"type":"object","properties":{"cid":{"type":"integer","format":"int64"},"lac":{"type":"integer","format":"int64"},"mcc":{"type":"string"},"mnc":{"type":"string"}},"title":"CellGlobalId"},"Charge":{"type":"object","properties":{"name":{"type":"string","description":"Name"},"amount_net":{"type":"number","description":"Net amount"},"currency":{"type":"string","description":"Currency"}},"title":"Charge","description":"A product charge"},"Communication":{"type":"object","properties":{"communicationDate":{"type":"string"},"direction":{"type":"string","enum":["IN","OUT"]},"id":{"type":"string"},"originator":{"type":"string"},"subject":{"type":"string"},"text":{"type":"string"},"type":{"type":"string","enum":["PORTAL","PHONE_IN","PHONE_OUT","MAIL_IN","MAIL_OUT"]}},"title":"Communication"},"Connectivity":{"type":"object","properties":{"status":{"type":"string","description":"The status of the connectivity"},"location":{"description":"Location information","$ref":"#/definitions/Location"},"pdp_context":{"description":"PDP context information","$ref":"#/definitions/PdpContext"},"services":{"type":"array","description":"List of services","items":{"type":"string"}}},"title":"Connectivity","description":"Contains connectivity status"},"ConnectivityInfo":{"type":"object","properties":{"ussd_info":{"description":"USSD connectivity info","$ref":"#/definitions/UssdInfo"},"subscriber_info":{"description":"The optional subscriber info returned when the 'subscriber' parameter is true","$ref":"#/definitions/SubscriberInfo"},"request_timestamp":{"type":"string","example":"2018-11-07T17:21:46.121+0000","description":"Time in UTC the request was received"},"reply_timestamp":{"type":"string","example":"2018-11-07T17:21:46.263+0000","description":"Time in UTC the response was sent"}},"title":"ConnectivityInfo","description":"Contains connectivity and location information"},"Country":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"iso_code":{"type":"string"},"name":{"type":"string"}},"title":"Country","description":"Country of the operator"},"Daily":{"type":"object","properties":{"data":{"$ref":"#/definitions/Data"},"date":{"type":"string"},"sms":{"$ref":"#/definitions/Sms"}},"title":"Daily"},"DailyUsage":{"type":"object","properties":{"stats":{"type":"array","description":"List of daily usage statistics","items":{"$ref":"#/definitions/Daily"}}},"title":"DailyUsage","description":"Information about daily SIM usage"},"Data":{"type":"object","properties":{"cost":{"type":"string"},"currency":{"type":"object"},"traffic_type":{"$ref":"#/definitions/TrafficType"},"volume":{"type":"string"},"volume_rx":{"type":"string"},"volume_tx":{"type":"string"}},"title":"Data"},"EventCollection":{"type":"object","properties":{"events":{"type":"array","items":{"$ref":"#/definitions/SIM Event"}},"totalEvents":{"type":"integer","format":"int32"},"totalPages":{"type":"integer","format":"int32"}},"title":"EventCollection"},"IccidRange":{"type":"object","properties":{"from":{"type":"string","description":"The first ICCID of the range"},"to":{"type":"string","description":"The last ICCID of the range"}},"title":"IccidRange"},"Link":{"type":"object","properties":{"rel":{"type":"string","example":"self","description":"rel"},"href":{"type":"string","example":"https://api.1nce.com/api/v1/sims/9999999999000000001","description":"href"}},"title":"Link"},"Location":{"type":"object","properties":{"description":{"type":"string"},"rat_type_id":{"type":"string"}},"title":"Location","description":"Location information."},"ManagementApiServiceRequest":{"type":"object","properties":{"replyToMail":{"type":"string"},"senderName":{"type":"string"},"subject":{"type":"string"},"text":{"type":"string"}},"title":"ManagementApiServiceRequest"},"Order":{"type":"object","properties":{"order_number":{"type":"number","example":2000000001,"description":"Order No. - the unique numerical identifier for a order"},"order_type":{"type":"string","example":"FIRST_ORDER","description":"The order type indicates whether this is a first order, additional order or a topup","enum":["FIRST_ORDER","ADDITIONAL_ORDER","TOPUP","BULK_TOPUP"]},"order_date":{"type":"string","format":"date-time","description":"Order date"},"order_status":{"type":"string","example":"COMPLETED","description":"Status of the Order"},"invoice_number":{"type":"string","example":20000002,"description":"Invoice No. - unique alphanumerical identifier for the corresponding invoice"},"invoice_amount":{"type":"string","example":19.99,"description":"The gross value which this order amounts to, as printed on the invoice"},"currency":{"type":"string","example":"EUR","description":"ISO 4217 currency code used for the invoice amount"},"shipping_address":{"description":"Shipping Address for this order","$ref":"#/definitions/Address"},"sims":{"type":"array","description":"SIMs included or affected by this Order","items":{"$ref":"#/definitions/SIM"}},"products":{"type":"array","description":"IDs and quantity of ordered products","items":{"$ref":"#/definitions/Product information"}}},"title":"Order","description":"General information about an order"},"Ordered product":{"type":"object","properties":{"productId":{"type":"integer","format":"int64"},"quantity":{"type":"integer","format":"int32"}},"title":"Ordered product","description":"What you want and how much of it"},"PdpContext":{"type":"object","properties":{"breakout_ip":{"type":"string"},"ci":{"type":"object"},"created":{"type":"string"},"duration":{"type":"string"},"endpoint_id":{"type":"string"},"ggsn_control_plane_ip_address":{"type":"string"},"ggsn_data_plane_ip_address":{"type":"string"},"gtp_version":{"type":"string"},"imeisv":{"type":"string"},"imsi":{"type":"string"},"imsi_id":{"type":"string"},"lac":{"type":"string"},"mcc":{"type":"string"},"mnc":{"type":"string"},"nsapi":{"type":"string"},"operator_id":{"type":"string"},"organisation_id":{"type":"string"},"pdp_context_id":{"type":"string"},"rac":{"type":"object"},"rat_type":{"$ref":"#/definitions/Location"},"ratezone_id":{"type":"string"},"region":{"type":"string"},"sac":{"type":"string"},"sgsn_control_plane_ip_address":{"type":"string"},"sgsn_data_plane_ip_address":{"type":"string"},"sim_id":{"type":"string"},"tariff_id":{"type":"string"},"tariff_profile_id":{"type":"string"},"teid_control_plane":{"type":"string"},"teid_data_plane":{"type":"string"},"ue_ip_address":{"type":"string"}},"title":"PdpContext","description":"Pdp Context"},"Product":{"type":"object","properties":{"id":{"type":"integer","format":"int64","description":"ID"},"product":{"type":"string","description":"Product name"},"material":{"type":"string","description":"Material"},"package_size":{"type":"integer","format":"int64","description":"Package size"},"maxQuantity":{"type":"integer","format":"int64","description":"Maximum quantity of product per order"},"min_contract_duration":{"type":"integer","format":"int64","description":"Minimum contract duration"},"one_time_charges":{"type":"array","description":"One-Time charges","items":{"$ref":"#/definitions/Charge"}},"recurring_charges":{"type":"array","description":"Recurring charges","items":{"$ref":"#/definitions/Charge"}}},"title":"Product","description":"Information about a product"},"Product information":{"type":"object","properties":{"product_id":{"type":"integer","format":"int64","description":"Product ID"},"quantity":{"type":"integer","format":"int64","description":"Quantity of SIM with this product ordered"}},"title":"Product information","description":"General information about an ordered product"},"Quota":{"type":"object","properties":{"volume":{"type":"number","example":435.787951,"description":"Currently available Volume, either SMS or data in MB"},"total_volume":{"type":"number","example":500,"description":"The total data volume or SMS this SIM has available over its lifetime"},"expiry_date":{"type":"string","example":"2029-01-01 00:00:00","description":"Date this quota will expire"},"peak_throughput":{"type":"integer","format":"int32","example":128000,"description":"The optional throughput in bit/s (only for data quotas)"},"last_volume_added":{"type":"number","example":500,"description":"Amount of SMS or data volume which was last purchased for this SIM"},"last_status_change_date":{"type":"string","example":"2018-10-01 11:59:44","description":"Last date and time on which this quota was changed, e.g. by purchasing a TopUp"},"threshold_percentage":{"type":"integer","format":"int32","example":20,"description":"Threshold in percentage for which a volume notification will be send"}},"title":"Quota"},"SIM":{"type":"object","properties":{"iccid":{"type":"string","example":8988280666000000000,"description":"ICCID"},"_links":{"type":"array","items":{"$ref":"#/definitions/Link"}}},"title":"SIM","description":"SIMs included/affected by an order"},"SIM Event":{"type":"object","properties":{"timestamp":{"type":"string","example":"2018-05-07T14:08:05.000+0000","description":"Timestamp"},"event_type":{"type":"string","example":"Status of SIM changed from 'Issued' to 'Activated'","description":"A description of the event type"},"iccid":{"type":"string","example":8988280666000000000,"description":"ICCID"},"imei":{"type":"string","example":"0000000000000018","description":"IMEI"},"imsi":{"type":"string","example":901405100000018,"description":"IMSI"},"country":{"type":"string","example":"Germany","description":"Country"},"operator":{"type":"string","example":"T-Mobile","description":"Operator name"},"mcc":{"type":"string","example":262,"description":"MCC"},"mnc":{"type":"string","example":"01","description":"MNC"},"alert":{"type":"boolean","example":false,"description":"Boolean flag determining if this event is treated as an alert"},"event_severity":{"type":"string","example":"Info","description":"Textual representation of the severity of the event"}},"title":"SIM Event","description":"Information about a Event. Besides the timestamp and the event_type all other values are optional and might not be included in the actual response"},"SIM card":{"type":"object","properties":{"iccid":{"type":"string","example":8988280666000000000,"description":"ICCID"},"imsi":{"type":"string","example":901405100000018,"description":"IMSI"},"imsi_2":{"type":"string","example":901405100000018,"description":"IMSI_2"},"current_imsi":{"type":"string","example":901405100000018,"description":"CURRENT_IMSI"},"msisdn":{"type":"string","example":882285100000018,"description":"MSISDN"},"imei":{"type":"string","example":"0000000000000018","description":"IMEI"},"imei_lock":{"type":"boolean","example":true,"description":"Indicates if SIM is locked to the current IMEI"},"status":{"type":"string","example":"Disabled","description":"Current Status","enum":["Enabled","Disabled"]},"activation_date":{"type":"string","example":"2018-03-09T07:59:09.000+0000","description":"Activation date"},"ip_address":{"type":"string","example":"100.100.100.18","description":"IP Address"},"current_quota":{"type":"number","example":500,"description":"Current Quota for this SIM in MB"},"quota_status":{"description":"Indicates whether more than 20%, less than 20% or 0% of the current quota are still available","$ref":"#/definitions/Status indicating whether or not the treshold or the quota has been reached"},"label":{"type":"string","example":"DX-137-B12","description":"Label"}},"title":"SIM card","description":"Information about a SIM card"},"SMS":{"type":"object","properties":{"source_address":{"type":"string","example":1234567890,"description":"The source address"},"payload":{"type":"string","example":"This is a text","description":"The content of the SMS"},"udh":{"type":"string","description":"User Data Header encoded has hex-String (optional)"},"dcs":{"type":"integer","format":"int32","example":8,"description":"Data Coding Scheme (optional)"},"source_address_type":{"description":" Specify type of source address","$ref":"#/definitions/Type definition for the source address"},"expiry_date":{"type":"string","example":"2018-03-14T16:10:29.000+0000","description":"Expiry Date in ISO8601"}},"title":"SMS","description":"SMS to be send to SIM"},"SMS-Data":{"type":"object","properties":{"id":{"type":"number","example":590,"description":"id"},"submit_date":{"type":"string","example":"2015-10-05 13:56:59","description":"The date and time on which this SMS was submitted"},"delivery_date":{"type":"string","example":"2015-10-05 13:56:59","description":"The date and time on which this SMS was delivered"},"expiry_date":{"type":"string","example":"2015-10-06 13:56:59","description":"The date and time on which this SMS will expire"},"final_date":{"type":"string","example":"2015-10-05 13:57:03","description":"The final date and time"},"retry_date":{"type":"string","example":"2015-10-05 13:57:03","description":"The date and time on which the delivery was retried"},"last_delivery_attempt":{"type":"string","example":"2015-10-05 13:57:03","description":"The date and time on which the last delivery was attempted"},"retry_count":{"type":"string","example":1,"description":"The retry count"},"source_address":{"type":"string","example":1234567890,"description":"The source address"},"iccid":{"type":"string","example":8988303000000001000,"description":"ICCID"},"msisdn":{"type":"string","example":"883XXXXXXXXXXXX","description":"MSISDN"},"imsi":{"type":"string","example":"901XXXXXXXXXXXX","description":"IMSI"},"msc":{"type":"string","example":491600190000,"description":"MSC"},"dcs":{"type":"integer","format":"int32","description":"DCS"},"udh":{"type":"string","description":"User Data Header encoded has hex-String (optional)"},"payload":{"type":"string","example":"This is a text","description":"The content of the SMS"},"status":{"description":"The status information for this SMS","$ref":"#/definitions/SmsStatus"},"sms_type":{"description":"The type information for this SMS","$ref":"#/definitions/Type definition for a SMS"},"source_address_type":{"description":"Type information about the source address","$ref":"#/definitions/Type definition for the source address"}},"title":"SMS-Data","description":"Information about a SMS"},"Service request":{"type":"object","properties":{"caseId":{"type":"string"},"communications":{"type":"array","items":{"$ref":"#/definitions/Communication"}},"createDate":{"type":"string"},"solvedDate":{"type":"string"},"status":{"type":"string","enum":["OPEN","IN_PROGRESS","CLOSED"]},"subject":{"type":"string"},"text":{"type":"string"}},"title":"Service request","description":"General information about a service request"},"SimTransfer":{"type":"object","properties":{"target_organisation":{"type":"integer","format":"int64","example":2000000001,"description":"The organisation to transfer the SIMs TO. Required if transferring to a suborganisation."},"iccid_ranges":{"type":"array","description":"SIMs included or affected by this order","items":{"$ref":"#/definitions/IccidRange"}},"iccids":{"type":"array","description":"SIMs included or affected by this order","items":{"type":"string"}}},"title":"SimTransfer","description":"A SIM Transfer request"},"Sms":{"type":"object","properties":{"cost":{"type":"string"},"currency":{"type":"object"},"traffic_type":{"$ref":"#/definitions/TrafficType_"},"volume":{"type":"string"},"volume_rx":{"type":"string"},"volume_tx":{"type":"string"}},"title":"Sms"},"SmsStatus":{"type":"object","properties":{"id":{"type":"number","example":4,"description":"Numerical status identifier"},"description":{"type":"string","example":"DELIVERED","description":"Status description"}},"title":"SmsStatus"},"Status indicating whether or not the treshold or the quota has been reached":{"type":"object","properties":{"id":{"type":"number","example":0,"description":"Numerical status on of 0, 1 or 2"},"description":{"type":"string","description":"Status description"},"threshold_reached_date":{"type":"string","format":"date-time","description":"Date on which the threshold of 80% of the quota was reached."},"quota_exceeded_date":{"type":"string","format":"date-time","description":"Date on which the quota has Exceeded."}},"title":"Status indicating whether or not the treshold or the quota has been reached"},"SubscriberInfo":{"type":"object","properties":{"current_location_retrieved":{"type":"boolean","example":true,"description":"Boolean flag indicating if the retrieved location is current"},"age_of_location":{"type":"integer","format":"int32","example":0,"description":"Age of the location information in minutes"},"cell_global_id":{"description":"Contains fields for mcc, mnc, lac and cid","$ref":"#/definitions/CellGlobalId"}},"title":"SubscriberInfo","description":"Optional information about the current location"},"TrafficType":{"type":"object","properties":{"description":{"type":"string"},"id":{"type":"integer","format":"int64"},"unit":{"type":"string"}},"title":"TrafficType"},"TrafficType_":{"type":"object","properties":{"description":{"type":"string"},"id":{"type":"integer","format":"int64"},"unit":{"type":"string"}},"title":"TrafficType_"},"Type definition for a SMS":{"type":"object","properties":{"id":{"type":"number","example":1,"description":"Numerical identifier for the type"},"description":{"type":"string","example":"MT","description":"Type description"}},"title":"Type definition for a SMS"},"Type definition for the source address":{"type":"object","properties":{"id":{"type":"number","example":145,"description":"Numerical identifier for the type"}},"title":"Type definition for the source address"},"UssdInfo":{"type":"object","properties":{"success":{"type":"boolean","example":false,"description":"Boolean flag indicating the success"},"error":{"type":"string","example":"Request Timeout Error","description":"Optional information if some error occurred"}},"title":"UssdInfo","description":"Optional ussd information, only set if the parameter 'ussd' is set to true."},"Values for a SIM update":{"type":"object","properties":{"iccid":{"type":"string","description":"ICCID"},"label":{"type":"string","description":"Label"},"imei_lock":{"type":"boolean","example":true,"description":"Indicates if SIM is locked to the current IMEI"},"status":{"type":"string","example":"Disabled","description":"Current Status"}},"title":"Values for a SIM update","description":"Information about a SIM card"}}}